// OpenGL_NXDlg.h : header file
//

#if !defined(AFX_OPENGL_NXDLG_H__7A8C3697_02F6_4CDF_9325_3EC22A9721A5__INCLUDED_)
#define AFX_OPENGL_NXDLG_H__7A8C3697_02F6_4CDF_9325_3EC22A9721A5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Object.h"
/////////////////////////////////////////////////////////////////////////////
// COpenGL_NXDlg dialog


class COpenGL_NXDlg : public CDialog
{
// Construction
public:
	void CheckHeads();
	void Export( CString FileName );
	void ImportFile( CString filename );
	void ElimnetSpaces( int pos, char *tstr );
	VertexNode * GetVertex( int index, VertexNode * Head );
	TVertexNode * GetTextVertex( int index, TVertexNode *Head );
	long int Pos;
	Material* ReadMaterial( HTREEITEM TreeNode, int i );
	void ShowMaterialLib( );
	Material *MaterialLib;
	void ShowFaceTVerties( FaceNode *List );
	void ShowFaceNormals( FaceNode *List );
	void ShowTextVerties( TVertexNode *List );
	void ShowFaces( FaceNode *List );
	void ShowVerties(VertexNode *List);
	int MsgCount;
	Object *SceneObj;
	int ObjectCount;
	HTREEITEM MaterialNode;
	HTREEITEM ObjectNode;
	HTREEITEM SceneNode;
	void ReadValue( int Pos1, char *tstr );
	CString ASEText;

	CString FileTitle;




	int MaterialCount;

	void FreeHeads();
	
	void CreateDataBase();
	void ReadChar( int Pos, char *str,int count =-1);
	COpenGL_NXDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(COpenGL_NXDlg)
	enum { IDD = IDD_OPENGL_NX_DIALOG };
	CButton	m_ImportBtn;
	CListCtrl	m_List;
	CButton	m_DisplayBtn;
	CListCtrl	m_Msg;
	CTreeCtrl	m_Scene;
	CProgressCtrl	m_PrgBar;
	CButton	m_ExportBtn;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(COpenGL_NXDlg)
	public:
	virtual BOOL OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(COpenGL_NXDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnHelpBtn();
	afx_msg void OnImportBtn();
	afx_msg void OnDisplayList();
	afx_msg void OnSelchangedSceneTree(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSummaryBtn();
	afx_msg void OnExportBtn();
	afx_msg void OnDropFiles(HDROP hDropInfo);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.


#endif // !defined(AFX_OPENGL_NXDLG_H__7A8C3697_02F6_4CDF_9325_3EC22A9721A5__INCLUDED_)
